jsoniq version "1.0";

import module namespace a = "http://dgms.io/modules/analytics";

import module namespace ns = "http://dgms.io/contrib/models/minlplib/genpooling_meyer04";

let $input := {
    "x1": a:variable({ name: "x1", bounds: [0.0, 20.0] }),
    "x2": a:variable({ name: "x2", bounds: [0.0, 20.0] }),
    "x3": a:variable({ name: "x3", bounds: [0.0, 20.0] }),
    "x4": a:variable({ name: "x4", bounds: [0.0, 20.0] }),
    "x5": a:variable({ name: "x5", bounds: [0.0, 50.0] }),
    "x6": a:variable({ name: "x6", bounds: [0.0, 50.0] }),
    "x7": a:variable({ name: "x7", bounds: [0.0, 50.0] }),
    "x8": a:variable({ name: "x8", bounds: [0.0, 50.0] }),
    "x9": a:variable({ name: "x9", bounds: [0.0, 47.5] }),
    "x10": a:variable({ name: "x10", bounds: [0.0, 47.5] }),
    "x11": a:variable({ name: "x11", bounds: [0.0, 47.5] }),
    "x12": a:variable({ name: "x12", bounds: [0.0, 47.5] }),
    "x13": a:variable({ name: "x13", bounds: [0.0, 28.0] }),
    "x14": a:variable({ name: "x14", bounds: [0.0, 28.0] }),
    "x15": a:variable({ name: "x15", bounds: [0.0, 28.0] }),
    "x16": a:variable({ name: "x16", bounds: [0.0, 28.0] }),
    "x17": a:variable({ name: "x17", bounds: [0.0, 100.0] }),
    "x18": a:variable({ name: "x18", bounds: [0.0, 100.0] }),
    "x19": a:variable({ name: "x19", bounds: [0.0, 100.0] }),
    "x20": a:variable({ name: "x20", bounds: [0.0, 100.0] }),
    "x21": a:variable({ name: "x21", bounds: [0.0, 30.0] }),
    "x22": a:variable({ name: "x22", bounds: [0.0, 30.0] }),
    "x23": a:variable({ name: "x23", bounds: [0.0, 30.0] }),
    "x24": a:variable({ name: "x24", bounds: [0.0, 30.0] }),
    "x25": a:variable({ name: "x25", bounds: [0.0, 25.0] }),
    "x26": a:variable({ name: "x26", bounds: [0.0, 25.0] }),
    "x27": a:variable({ name: "x27", bounds: [0.0, 25.0] }),
    "x28": a:variable({ name: "x28", bounds: [0.0, 25.0] }),
    "x29": a:variable({ name: "x29", bounds: [0.0, 300.5] }),
    "x30": a:variable({ name: "x30", bounds: [0.0, 300.5] }),
    "x31": a:variable({ name: "x31", bounds: [0.0, 300.5] }),
    "x32": a:variable({ name: "x32", bounds: [0.0, 300.5] }),
    "x33": a:variable({ name: "x33", bounds: [0.0, 300.5] }),
    "x34": a:variable({ name: "x34", bounds: [0.0, 300.5] }),
    "x35": a:variable({ name: "x35", bounds: [0.0, 300.5] }),
    "x36": a:variable({ name: "x36", bounds: [0.0, 300.5] }),
    "x37": a:variable({ name: "x37", bounds: [0.0, 300.5] }),
    "x38": a:variable({ name: "x38", bounds: [0.0, 300.5] }),
    "x39": a:variable({ name: "x39", bounds: [0.0, 300.5] }),
    "x40": a:variable({ name: "x40", bounds: [0.0, 300.5] }),
    "x41": a:variable({ name: "x41", bounds: [0.0, 300.5] }),
    "x42": a:variable({ name: "x42", bounds: [0.0, 300.5] }),
    "x43": a:variable({ name: "x43", bounds: [0.0, 300.5] }),
    "x44": a:variable({ name: "x44", bounds: [0.0, 300.5] }),
    "x45": a:variable({ name: "x45", bounds: [0.0, 20.0] }),
    "x46": a:variable({ name: "x46", bounds: [0.0, 50.0] }),
    "x47": a:variable({ name: "x47", bounds: [0.0, 47.5] }),
    "x48": a:variable({ name: "x48", bounds: [0.0, 28.0] }),
    "x49": a:variable({ name: "x49", bounds: [0.0, 100.0] }),
    "x50": a:variable({ name: "x50", bounds: [0.0, 30.0] }),
    "x51": a:variable({ name: "x51", bounds: [0.0, 25.0] }),
    "x52": a:variable({ name: "x52", bounds: [0.0, 12.0] }),
    "x53": a:variable({ name: "x53", bounds: [0.0, 175.0] }),
    "x54": a:variable({ name: "x54", bounds: [0.0, 100.0] }),
    "x55": a:variable({ name: "x55", bounds: [0.0, 1200.0] }),
    "x56": a:variable({ name: "x56", bounds: [0.0, 227.5] }),
    "x57": a:variable({ name: "x57", bounds: [0.0, 200.0] }),
    "x58": a:variable({ name: "x58", bounds: [0.0, 1080.0] }),
    "x59": a:variable({ name: "x59", bounds: [0.0, 17.5] }),
    "x60": a:variable({ name: "x60", bounds: [0.0, 2000.0] }),
    "x61": a:variable({ name: "x61", bounds: [0.0, 360.0] }),
    "x62": a:variable({ name: "x62", bounds: [0.0, 1400.0] }),
    "x63": a:variable({ name: "x63", bounds: [0.0, 1400.0] }),
    "b64": a:variable({ name: "b64", domain: "binary", bounds: [0.0, 1.0] }),
    "b65": a:variable({ name: "b65", domain: "binary", bounds: [0.0, 1.0] }),
    "b66": a:variable({ name: "b66", domain: "binary", bounds: [0.0, 1.0] }),
    "b67": a:variable({ name: "b67", domain: "binary", bounds: [0.0, 1.0] }),
    "b68": a:variable({ name: "b68", domain: "binary", bounds: [0.0, 1.0] }),
    "b69": a:variable({ name: "b69", domain: "binary", bounds: [0.0, 1.0] }),
    "b70": a:variable({ name: "b70", domain: "binary", bounds: [0.0, 1.0] }),
    "b71": a:variable({ name: "b71", domain: "binary", bounds: [0.0, 1.0] }),
    "b72": a:variable({ name: "b72", domain: "binary", bounds: [0.0, 1.0] }),
    "b73": a:variable({ name: "b73", domain: "binary", bounds: [0.0, 1.0] }),
    "b74": a:variable({ name: "b74", domain: "binary", bounds: [0.0, 1.0] }),
    "b75": a:variable({ name: "b75", domain: "binary", bounds: [0.0, 1.0] }),
    "b76": a:variable({ name: "b76", domain: "binary", bounds: [0.0, 1.0] }),
    "b77": a:variable({ name: "b77", domain: "binary", bounds: [0.0, 1.0] }),
    "b78": a:variable({ name: "b78", domain: "binary", bounds: [0.0, 1.0] }),
    "b79": a:variable({ name: "b79", domain: "binary", bounds: [0.0, 1.0] }),
    "b80": a:variable({ name: "b80", domain: "binary", bounds: [0.0, 1.0] }),
    "b81": a:variable({ name: "b81", domain: "binary", bounds: [0.0, 1.0] }),
    "b82": a:variable({ name: "b82", domain: "binary", bounds: [0.0, 1.0] }),
    "b83": a:variable({ name: "b83", domain: "binary", bounds: [0.0, 1.0] }),
    "b84": a:variable({ name: "b84", domain: "binary", bounds: [0.0, 1.0] }),
    "b85": a:variable({ name: "b85", domain: "binary", bounds: [0.0, 1.0] }),
    "b86": a:variable({ name: "b86", domain: "binary", bounds: [0.0, 1.0] }),
    "b87": a:variable({ name: "b87", domain: "binary", bounds: [0.0, 1.0] }),
    "b88": a:variable({ name: "b88", domain: "binary", bounds: [0.0, 1.0] }),
    "b89": a:variable({ name: "b89", domain: "binary", bounds: [0.0, 1.0] }),
    "b90": a:variable({ name: "b90", domain: "binary", bounds: [0.0, 1.0] }),
    "b91": a:variable({ name: "b91", domain: "binary", bounds: [0.0, 1.0] }),
    "b92": a:variable({ name: "b92", domain: "binary", bounds: [0.0, 1.0] }),
    "b93": a:variable({ name: "b93", domain: "binary", bounds: [0.0, 1.0] }),
    "b94": a:variable({ name: "b94", domain: "binary", bounds: [0.0, 1.0] }),
    "b95": a:variable({ name: "b95", domain: "binary", bounds: [0.0, 1.0] }),
    "b96": a:variable({ name: "b96", domain: "binary", bounds: [0.0, 1.0] }),
    "b97": a:variable({ name: "b97", domain: "binary", bounds: [0.0, 1.0] }),
    "b98": a:variable({ name: "b98", domain: "binary", bounds: [0.0, 1.0] }),
    "b99": a:variable({ name: "b99", domain: "binary", bounds: [0.0, 1.0] }),
    "b100": a:variable({ name: "b100", domain: "binary", bounds: [0.0, 1.0] }),
    "b101": a:variable({ name: "b101", domain: "binary", bounds: [0.0, 1.0] }),
    "b102": a:variable({ name: "b102", domain: "binary", bounds: [0.0, 1.0] }),
    "b103": a:variable({ name: "b103", domain: "binary", bounds: [0.0, 1.0] }),
    "b104": a:variable({ name: "b104", domain: "binary", bounds: [0.0, 1.0] }),
    "b105": a:variable({ name: "b105", domain: "binary", bounds: [0.0, 1.0] }),
    "b106": a:variable({ name: "b106", domain: "binary", bounds: [0.0, 1.0] }),
    "b107": a:variable({ name: "b107", domain: "binary", bounds: [0.0, 1.0] }),
    "b108": a:variable({ name: "b108", domain: "binary", bounds: [0.0, 1.0] }),
    "b109": a:variable({ name: "b109", domain: "binary", bounds: [0.0, 1.0] }),
    "b110": a:variable({ name: "b110", domain: "binary", bounds: [0.0, 1.0] }),
    "b111": a:variable({ name: "b111", domain: "binary", bounds: [0.0, 1.0] }),
    "b112": a:variable({ name: "b112", domain: "binary", bounds: [0.0, 1.0] }),
    "b113": a:variable({ name: "b113", domain: "binary", bounds: [0.0, 1.0] }),
    "b114": a:variable({ name: "b114", domain: "binary", bounds: [0.0, 1.0] }),
    "b115": a:variable({ name: "b115", domain: "binary", bounds: [0.0, 1.0] }),
    "b116": a:variable({ name: "b116", domain: "binary", bounds: [0.0, 1.0] }),
    "b117": a:variable({ name: "b117", domain: "binary", bounds: [0.0, 1.0] }),
    "b118": a:variable({ name: "b118", domain: "binary", bounds: [0.0, 1.0] })
} return {
    "obj": a:minimize({
        model: ns:genpooling_meyer04#1,
        input: $input,
        objective: function($output) { $output."obj" },
        options: { solver: "bonmin" }
    })
}
