jsoniq version "1.0";

import module namespace a = "http://dgms.io/modules/analytics";

import module namespace ns = "http://dgms.io/contrib/models/minlplib/heatexch_gen1";

let $input := {
    "b1": a:variable({ name: "b1", domain: "binary", bounds: [0.0, 1.0] }),
    "b2": a:variable({ name: "b2", domain: "binary", bounds: [0.0, 1.0] }),
    "b3": a:variable({ name: "b3", domain: "binary", bounds: [0.0, 1.0] }),
    "b4": a:variable({ name: "b4", domain: "binary", bounds: [0.0, 1.0] }),
    "b5": a:variable({ name: "b5", domain: "binary", bounds: [0.0, 1.0] }),
    "b6": a:variable({ name: "b6", domain: "binary", bounds: [0.0, 1.0] }),
    "b7": a:variable({ name: "b7", domain: "binary", bounds: [0.0, 1.0] }),
    "b8": a:variable({ name: "b8", domain: "binary", bounds: [0.0, 1.0] }),
    "b9": a:variable({ name: "b9", domain: "binary", bounds: [0.0, 1.0] }),
    "b10": a:variable({ name: "b10", domain: "binary", bounds: [0.0, 1.0] }),
    "b11": a:variable({ name: "b11", domain: "binary", bounds: [0.0, 1.0] }),
    "b12": a:variable({ name: "b12", domain: "binary", bounds: [0.0, 1.0] }),
    "x13": a:variable({ name: "x13", bounds: [370.0, 650.0] }),
    "x14": a:variable({ name: "x14", bounds: [370.0, 650.0] }),
    "x15": a:variable({ name: "x15", bounds: [370.0, 650.0] }),
    "x16": a:variable({ name: "x16", bounds: [370.0, 590.0] }),
    "x17": a:variable({ name: "x17", bounds: [370.0, 590.0] }),
    "x18": a:variable({ name: "x18", bounds: [370.0, 590.0] }),
    "x19": a:variable({ name: "x19", bounds: [410.0, 650.0] }),
    "x20": a:variable({ name: "x20", bounds: [410.0, 650.0] }),
    "x21": a:variable({ name: "x21", bounds: [410.0, 650.0] }),
    "x22": a:variable({ name: "x22", bounds: [350.0, 500.0] }),
    "x23": a:variable({ name: "x23", bounds: [350.0, 500.0] }),
    "x24": a:variable({ name: "x24", bounds: [350.0, 500.0] }),
    "x25": a:variable({ name: "x25", bounds: [0.0, null] }),
    "x26": a:variable({ name: "x26", bounds: [0.0, null] }),
    "x27": a:variable({ name: "x27", bounds: [0.0, null] }),
    "x28": a:variable({ name: "x28", bounds: [0.0, null] }),
    "x29": a:variable({ name: "x29", bounds: [0.0, null] }),
    "x30": a:variable({ name: "x30", bounds: [0.0, null] }),
    "x31": a:variable({ name: "x31", bounds: [0.0, null] }),
    "x32": a:variable({ name: "x32", bounds: [0.0, null] }),
    "x33": a:variable({ name: "x33", bounds: [0.0, null] }),
    "x34": a:variable({ name: "x34", bounds: [0.0, null] }),
    "x35": a:variable({ name: "x35", bounds: [0.0, null] }),
    "x36": a:variable({ name: "x36", bounds: [0.0, null] }),
    "x37": a:variable({ name: "x37", bounds: [10.0, null] }),
    "x38": a:variable({ name: "x38", bounds: [10.0, null] }),
    "x39": a:variable({ name: "x39", bounds: [10.0, null] }),
    "x40": a:variable({ name: "x40", bounds: [10.0, null] }),
    "x41": a:variable({ name: "x41", bounds: [10.0, null] }),
    "x42": a:variable({ name: "x42", bounds: [10.0, null] }),
    "x43": a:variable({ name: "x43", bounds: [10.0, null] }),
    "x44": a:variable({ name: "x44", bounds: [10.0, null] }),
    "x45": a:variable({ name: "x45", bounds: [10.0, null] }),
    "x46": a:variable({ name: "x46", bounds: [10.0, null] }),
    "x47": a:variable({ name: "x47", bounds: [10.0, null] }),
    "x48": a:variable({ name: "x48", bounds: [10.0, null] }),
    "x49": a:variable({ name: "x49", bounds: [10.0, null] }),
    "x50": a:variable({ name: "x50", bounds: [10.0, null] }),
    "x51": a:variable({ name: "x51", bounds: [10.0, null] }),
    "x52": a:variable({ name: "x52", bounds: [10.0, null] }),
    "x53": a:variable({ name: "x53", bounds: [0.0, 10.0] }),
    "x54": a:variable({ name: "x54", bounds: [0.0, 10.0] }),
    "x55": a:variable({ name: "x55", bounds: [0.0, 10.0] }),
    "x56": a:variable({ name: "x56", bounds: [0.0, 10.0] }),
    "x57": a:variable({ name: "x57", bounds: [0.0, 20.0] }),
    "x58": a:variable({ name: "x58", bounds: [0.0, 20.0] }),
    "x59": a:variable({ name: "x59", bounds: [0.0, 20.0] }),
    "x60": a:variable({ name: "x60", bounds: [0.0, 20.0] }),
    "x61": a:variable({ name: "x61", bounds: [0.0, 15.0] }),
    "x62": a:variable({ name: "x62", bounds: [0.0, 15.0] }),
    "x63": a:variable({ name: "x63", bounds: [0.0, 13.0] }),
    "x64": a:variable({ name: "x64", bounds: [0.0, 13.0] }),
    "x65": a:variable({ name: "x65", bounds: [0.0, 15.0] }),
    "x66": a:variable({ name: "x66", bounds: [0.0, 15.0] }),
    "x67": a:variable({ name: "x67", bounds: [0.0, 13.0] }),
    "x68": a:variable({ name: "x68", bounds: [0.0, 13.0] }),
    "x69": a:variable({ name: "x69", bounds: [370.0, 650.0] }),
    "x70": a:variable({ name: "x70", bounds: [370.0, 650.0] }),
    "x71": a:variable({ name: "x71", bounds: [370.0, 650.0] }),
    "x72": a:variable({ name: "x72", bounds: [370.0, 650.0] }),
    "x73": a:variable({ name: "x73", bounds: [370.0, 590.0] }),
    "x74": a:variable({ name: "x74", bounds: [370.0, 590.0] }),
    "x75": a:variable({ name: "x75", bounds: [370.0, 590.0] }),
    "x76": a:variable({ name: "x76", bounds: [370.0, 590.0] }),
    "x77": a:variable({ name: "x77", bounds: [410.0, 650.0] }),
    "x78": a:variable({ name: "x78", bounds: [410.0, 650.0] }),
    "x79": a:variable({ name: "x79", bounds: [350.0, 500.0] }),
    "x80": a:variable({ name: "x80", bounds: [350.0, 500.0] }),
    "x81": a:variable({ name: "x81", bounds: [410.0, 650.0] }),
    "x82": a:variable({ name: "x82", bounds: [410.0, 650.0] }),
    "x83": a:variable({ name: "x83", bounds: [350.0, 500.0] }),
    "x84": a:variable({ name: "x84", bounds: [350.0, 500.0] }),
    "x85": a:variable({ name: "x85", bounds: [0.0, null] }),
    "x86": a:variable({ name: "x86", bounds: [0.0, null] }),
    "x87": a:variable({ name: "x87", bounds: [0.0, null] }),
    "x88": a:variable({ name: "x88", bounds: [0.0, null] }),
    "x89": a:variable({ name: "x89", bounds: [0.0, null] }),
    "x90": a:variable({ name: "x90", bounds: [0.0, null] }),
    "x91": a:variable({ name: "x91", bounds: [0.0, null] }),
    "x92": a:variable({ name: "x92", bounds: [0.0, null] }),
    "x93": a:variable({ name: "x93", bounds: [0.0, null] }),
    "x94": a:variable({ name: "x94", bounds: [0.0, null] }),
    "x95": a:variable({ name: "x95", bounds: [0.0, null] }),
    "x96": a:variable({ name: "x96", bounds: [0.0, null] }),
    "x97": a:variable({ name: "x97", bounds: [0.0, null] }),
    "x98": a:variable({ name: "x98", bounds: [0.0, null] }),
    "x99": a:variable({ name: "x99", bounds: [0.0, null] }),
    "x100": a:variable({ name: "x100", bounds: [0.0, null] }),
    "x101": a:variable({ name: "x101", bounds: [0.0, null] }),
    "x102": a:variable({ name: "x102", bounds: [0.0, null] }),
    "x103": a:variable({ name: "x103", bounds: [0.0, null] }),
    "x104": a:variable({ name: "x104", bounds: [0.0, null] }),
    "x105": a:variable({ name: "x105", bounds: [0.0, null] }),
    "x106": a:variable({ name: "x106", bounds: [0.0, null] }),
    "x107": a:variable({ name: "x107", bounds: [0.0, null] }),
    "x108": a:variable({ name: "x108", bounds: [0.0, null] }),
    "x109": a:variable({ name: "x109", bounds: [0.0, null] }),
    "x110": a:variable({ name: "x110", bounds: [0.0, null] }),
    "x111": a:variable({ name: "x111", bounds: [0.0, null] }),
    "x112": a:variable({ name: "x112", bounds: [0.0, null] })
} return {
    "obj": a:minimize({
        model: ns:heatexch_gen1#1,
        input: $input,
        objective: function($output) { $output."obj" },
        options: { solver: "bonmin" }
    })
}
