jsoniq version "1.0";

import module namespace a = "http://dgms.io/modules/analytics";

import module namespace ns = "http://dgms.io/contrib/models/minlplib/heatexch_gen2";

let $input := {
    "b1": a:variable({ name: "b1", domain: "binary", bounds: [0.0, 1.0] }),
    "b2": a:variable({ name: "b2", domain: "binary", bounds: [0.0, 1.0] }),
    "b3": a:variable({ name: "b3", domain: "binary", bounds: [0.0, 1.0] }),
    "b4": a:variable({ name: "b4", domain: "binary", bounds: [0.0, 1.0] }),
    "b5": a:variable({ name: "b5", domain: "binary", bounds: [0.0, 1.0] }),
    "b6": a:variable({ name: "b6", domain: "binary", bounds: [0.0, 1.0] }),
    "b7": a:variable({ name: "b7", domain: "binary", bounds: [0.0, 1.0] }),
    "b8": a:variable({ name: "b8", domain: "binary", bounds: [0.0, 1.0] }),
    "b9": a:variable({ name: "b9", domain: "binary", bounds: [0.0, 1.0] }),
    "b10": a:variable({ name: "b10", domain: "binary", bounds: [0.0, 1.0] }),
    "b11": a:variable({ name: "b11", domain: "binary", bounds: [0.0, 1.0] }),
    "b12": a:variable({ name: "b12", domain: "binary", bounds: [0.0, 1.0] }),
    "b13": a:variable({ name: "b13", domain: "binary", bounds: [0.0, 1.0] }),
    "b14": a:variable({ name: "b14", domain: "binary", bounds: [0.0, 1.0] }),
    "b15": a:variable({ name: "b15", domain: "binary", bounds: [0.0, 1.0] }),
    "b16": a:variable({ name: "b16", domain: "binary", bounds: [0.0, 1.0] }),
    "x17": a:variable({ name: "x17", bounds: [320.0, 500.0] }),
    "x18": a:variable({ name: "x18", bounds: [320.0, 500.0] }),
    "x19": a:variable({ name: "x19", bounds: [320.0, 500.0] }),
    "x20": a:variable({ name: "x20", bounds: [380.0, 480.0] }),
    "x21": a:variable({ name: "x21", bounds: [380.0, 480.0] }),
    "x22": a:variable({ name: "x22", bounds: [380.0, 480.0] }),
    "x23": a:variable({ name: "x23", bounds: [360.0, 460.0] }),
    "x24": a:variable({ name: "x24", bounds: [360.0, 460.0] }),
    "x25": a:variable({ name: "x25", bounds: [360.0, 460.0] }),
    "x26": a:variable({ name: "x26", bounds: [360.0, 380.0] }),
    "x27": a:variable({ name: "x27", bounds: [360.0, 380.0] }),
    "x28": a:variable({ name: "x28", bounds: [360.0, 380.0] }),
    "x29": a:variable({ name: "x29", bounds: [320.0, 380.0] }),
    "x30": a:variable({ name: "x30", bounds: [320.0, 380.0] }),
    "x31": a:variable({ name: "x31", bounds: [320.0, 380.0] }),
    "x32": a:variable({ name: "x32", bounds: [290.0, 660.0] }),
    "x33": a:variable({ name: "x33", bounds: [290.0, 660.0] }),
    "x34": a:variable({ name: "x34", bounds: [290.0, 660.0] }),
    "x35": a:variable({ name: "x35", bounds: [0.0, null] }),
    "x36": a:variable({ name: "x36", bounds: [0.0, null] }),
    "x37": a:variable({ name: "x37", bounds: [0.0, null] }),
    "x38": a:variable({ name: "x38", bounds: [0.0, null] }),
    "x39": a:variable({ name: "x39", bounds: [0.0, null] }),
    "x40": a:variable({ name: "x40", bounds: [0.0, null] }),
    "x41": a:variable({ name: "x41", bounds: [0.0, null] }),
    "x42": a:variable({ name: "x42", bounds: [0.0, null] }),
    "x43": a:variable({ name: "x43", bounds: [0.0, null] }),
    "x44": a:variable({ name: "x44", bounds: [0.0, null] }),
    "x45": a:variable({ name: "x45", bounds: [0.0, null] }),
    "x46": a:variable({ name: "x46", bounds: [0.0, null] }),
    "x47": a:variable({ name: "x47", bounds: [0.0, null] }),
    "x48": a:variable({ name: "x48", bounds: [0.0, null] }),
    "x49": a:variable({ name: "x49", bounds: [0.0, null] }),
    "x50": a:variable({ name: "x50", bounds: [0.0, null] }),
    "x51": a:variable({ name: "x51", bounds: [10.0, null] }),
    "x52": a:variable({ name: "x52", bounds: [10.0, null] }),
    "x53": a:variable({ name: "x53", bounds: [10.0, null] }),
    "x54": a:variable({ name: "x54", bounds: [10.0, null] }),
    "x55": a:variable({ name: "x55", bounds: [10.0, null] }),
    "x56": a:variable({ name: "x56", bounds: [10.0, null] }),
    "x57": a:variable({ name: "x57", bounds: [10.0, null] }),
    "x58": a:variable({ name: "x58", bounds: [10.0, null] }),
    "x59": a:variable({ name: "x59", bounds: [10.0, null] }),
    "x60": a:variable({ name: "x60", bounds: [10.0, null] }),
    "x61": a:variable({ name: "x61", bounds: [10.0, null] }),
    "x62": a:variable({ name: "x62", bounds: [10.0, null] }),
    "x63": a:variable({ name: "x63", bounds: [10.0, null] }),
    "x64": a:variable({ name: "x64", bounds: [10.0, null] }),
    "x65": a:variable({ name: "x65", bounds: [10.0, null] }),
    "x66": a:variable({ name: "x66", bounds: [10.0, null] }),
    "x67": a:variable({ name: "x67", bounds: [10.0, null] }),
    "x68": a:variable({ name: "x68", bounds: [10.0, null] }),
    "x69": a:variable({ name: "x69", bounds: [10.0, null] }),
    "x70": a:variable({ name: "x70", bounds: [10.0, null] }),
    "x71": a:variable({ name: "x71", bounds: [10.0, null] }),
    "x72": a:variable({ name: "x72", bounds: [0.0, 6.0] }),
    "x73": a:variable({ name: "x73", bounds: [0.0, 6.0] }),
    "x74": a:variable({ name: "x74", bounds: [0.0, 4.0] }),
    "x75": a:variable({ name: "x75", bounds: [0.0, 4.0] }),
    "x76": a:variable({ name: "x76", bounds: [0.0, 6.0] }),
    "x77": a:variable({ name: "x77", bounds: [0.0, 6.0] }),
    "x78": a:variable({ name: "x78", bounds: [0.0, 20.0] }),
    "x79": a:variable({ name: "x79", bounds: [0.0, 20.0] }),
    "x80": a:variable({ name: "x80", bounds: [0.0, 12.0] }),
    "x81": a:variable({ name: "x81", bounds: [0.0, 12.0] }),
    "x82": a:variable({ name: "x82", bounds: [0.0, 18.0] }),
    "x83": a:variable({ name: "x83", bounds: [0.0, 18.0] }),
    "x84": a:variable({ name: "x84", bounds: [0.0, 18.0] }),
    "x85": a:variable({ name: "x85", bounds: [0.0, 18.0] }),
    "x86": a:variable({ name: "x86", bounds: [0.0, 18.0] }),
    "x87": a:variable({ name: "x87", bounds: [0.0, 18.0] }),
    "x88": a:variable({ name: "x88", bounds: [0.0, 18.0] }),
    "x89": a:variable({ name: "x89", bounds: [0.0, 18.0] }),
    "x90": a:variable({ name: "x90", bounds: [0.0, 18.0] }),
    "x91": a:variable({ name: "x91", bounds: [0.0, 18.0] }),
    "x92": a:variable({ name: "x92", bounds: [320.0, 500.0] }),
    "x93": a:variable({ name: "x93", bounds: [320.0, 500.0] }),
    "x94": a:variable({ name: "x94", bounds: [380.0, 480.0] }),
    "x95": a:variable({ name: "x95", bounds: [380.0, 480.0] }),
    "x96": a:variable({ name: "x96", bounds: [360.0, 460.0] }),
    "x97": a:variable({ name: "x97", bounds: [360.0, 460.0] }),
    "x98": a:variable({ name: "x98", bounds: [360.0, 380.0] }),
    "x99": a:variable({ name: "x99", bounds: [360.0, 380.0] }),
    "x100": a:variable({ name: "x100", bounds: [320.0, 380.0] }),
    "x101": a:variable({ name: "x101", bounds: [320.0, 380.0] }),
    "x102": a:variable({ name: "x102", bounds: [290.0, 660.0] }),
    "x103": a:variable({ name: "x103", bounds: [290.0, 660.0] }),
    "x104": a:variable({ name: "x104", bounds: [290.0, 660.0] }),
    "x105": a:variable({ name: "x105", bounds: [290.0, 660.0] }),
    "x106": a:variable({ name: "x106", bounds: [290.0, 660.0] }),
    "x107": a:variable({ name: "x107", bounds: [290.0, 660.0] }),
    "x108": a:variable({ name: "x108", bounds: [290.0, 660.0] }),
    "x109": a:variable({ name: "x109", bounds: [290.0, 660.0] }),
    "x110": a:variable({ name: "x110", bounds: [290.0, 660.0] }),
    "x111": a:variable({ name: "x111", bounds: [290.0, 660.0] }),
    "x112": a:variable({ name: "x112", bounds: [0.0, null] }),
    "x113": a:variable({ name: "x113", bounds: [0.0, null] }),
    "x114": a:variable({ name: "x114", bounds: [0.0, null] }),
    "x115": a:variable({ name: "x115", bounds: [0.0, null] }),
    "x116": a:variable({ name: "x116", bounds: [0.0, null] }),
    "x117": a:variable({ name: "x117", bounds: [0.0, null] }),
    "x118": a:variable({ name: "x118", bounds: [0.0, null] }),
    "x119": a:variable({ name: "x119", bounds: [0.0, null] }),
    "x120": a:variable({ name: "x120", bounds: [0.0, null] }),
    "x121": a:variable({ name: "x121", bounds: [0.0, null] }),
    "x122": a:variable({ name: "x122", bounds: [0.0, null] }),
    "x123": a:variable({ name: "x123", bounds: [0.0, null] }),
    "x124": a:variable({ name: "x124", bounds: [0.0, null] }),
    "x125": a:variable({ name: "x125", bounds: [0.0, null] }),
    "x126": a:variable({ name: "x126", bounds: [0.0, null] }),
    "x127": a:variable({ name: "x127", bounds: [0.0, null] }),
    "x128": a:variable({ name: "x128", bounds: [0.0, null] }),
    "x129": a:variable({ name: "x129", bounds: [0.0, null] }),
    "x130": a:variable({ name: "x130", bounds: [0.0, null] }),
    "x131": a:variable({ name: "x131", bounds: [0.0, null] }),
    "x132": a:variable({ name: "x132", bounds: [0.0, null] }),
    "x133": a:variable({ name: "x133", bounds: [0.0, null] }),
    "x134": a:variable({ name: "x134", bounds: [0.0, null] }),
    "x135": a:variable({ name: "x135", bounds: [0.0, null] }),
    "x136": a:variable({ name: "x136", bounds: [0.0, null] }),
    "x137": a:variable({ name: "x137", bounds: [0.0, null] }),
    "x138": a:variable({ name: "x138", bounds: [0.0, null] }),
    "x139": a:variable({ name: "x139", bounds: [0.0, null] }),
    "x140": a:variable({ name: "x140", bounds: [0.0, null] }),
    "x141": a:variable({ name: "x141", bounds: [0.0, null] }),
    "x142": a:variable({ name: "x142", bounds: [0.0, null] }),
    "x143": a:variable({ name: "x143", bounds: [0.0, null] }),
    "x144": a:variable({ name: "x144", bounds: [0.0, null] }),
    "x145": a:variable({ name: "x145", bounds: [0.0, null] }),
    "x146": a:variable({ name: "x146", bounds: [0.0, null] }),
    "x147": a:variable({ name: "x147", bounds: [0.0, null] }),
    "x148": a:variable({ name: "x148", bounds: [0.0, null] })
} return {
    "obj": a:minimize({
        model: ns:heatexch_gen2#1,
        input: $input,
        objective: function($output) { $output."obj" },
        options: { solver: "bonmin" }
    })
}
