jsoniq version "1.0";

import module namespace a = "http://dgms.io/modules/analytics";

import module namespace ns = "http://dgms.io/contrib/models/minlplib/sfacloc2_2_95";

let $input := {
    "x1": a:variable({ name: "x1", bounds: [0.0, 0.26351883] }),
    "x2": a:variable({ name: "x2", bounds: [0.0, 0.26351883] }),
    "x3": a:variable({ name: "x3", bounds: [0.0, 0.22891574] }),
    "x4": a:variable({ name: "x4", bounds: [0.0, 0.22891574] }),
    "x5": a:variable({ name: "x5", bounds: [0.0, 0.21464835] }),
    "x6": a:variable({ name: "x6", bounds: [0.0, 0.21464835] }),
    "x7": a:variable({ name: "x7", bounds: [0.0, 0.17964414] }),
    "x8": a:variable({ name: "x8", bounds: [0.0, 0.17964414] }),
    "x9": a:variable({ name: "x9", bounds: [0.0, 0.17402843] }),
    "x10": a:variable({ name: "x10", bounds: [0.0, 0.17402843] }),
    "x11": a:variable({ name: "x11", bounds: [0.0, 0.15355962] }),
    "x12": a:variable({ name: "x12", bounds: [0.0, 0.15355962] }),
    "x13": a:variable({ name: "x13", bounds: [0.0, 0.1942283] }),
    "x14": a:variable({ name: "x14", bounds: [0.0, 0.1942283] }),
    "x15": a:variable({ name: "x15", bounds: [0.0, 0.25670555] }),
    "x16": a:variable({ name: "x16", bounds: [0.0, 0.25670555] }),
    "x17": a:variable({ name: "x17", bounds: [0.0, 0.27088619] }),
    "x18": a:variable({ name: "x18", bounds: [0.0, 0.27088619] }),
    "x19": a:variable({ name: "x19", bounds: [0.0, 0.28985675] }),
    "x20": a:variable({ name: "x20", bounds: [0.0, 0.28985675] }),
    "x21": a:variable({ name: "x21", bounds: [0.0, 0.25550303] }),
    "x22": a:variable({ name: "x22", bounds: [0.0, 0.25550303] }),
    "x23": a:variable({ name: "x23", bounds: [0.0, 0.19001726] }),
    "x24": a:variable({ name: "x24", bounds: [0.0, 0.19001726] }),
    "x25": a:variable({ name: "x25", bounds: [0.0, 0.23803143] }),
    "x26": a:variable({ name: "x26", bounds: [0.0, 0.23803143] }),
    "x27": a:variable({ name: "x27", bounds: [0.0, 0.23312962] }),
    "x28": a:variable({ name: "x28", bounds: [0.0, 0.23312962] }),
    "x29": a:variable({ name: "x29", bounds: [0.0, 0.27705307] }),
    "x30": a:variable({ name: "x30", bounds: [0.0, 0.27705307] }),
    "x31": a:variable({ name: "x31", bounds: [5.68, 5.96] }),
    "x32": a:variable({ name: "x32", bounds: [40.18, 42.0933333333333] }),
    "x33": a:variable({ name: "x33", bounds: [94.7666666666667, 99.28] }),
    "x34": a:variable({ name: "x34", bounds: [59.0533333333333, 61.8666666666667] }),
    "x35": a:variable({ name: "x35", bounds: [53.7333333333333, 56.2866666666667] }),
    "x36": a:variable({ name: "x36", bounds: [37.7266666666667, 41.5] }),
    "x37": a:variable({ name: "x37", bounds: [59.6466666666667, 62.4933333333333] }),
    "x38": a:variable({ name: "x38", bounds: [59.2733333333333, 62.24] }),
    "b39": a:variable({ name: "b39", domain: "binary", bounds: [0.0, 1.0] }),
    "b40": a:variable({ name: "b40", domain: "binary", bounds: [0.0, 1.0] }),
    "b41": a:variable({ name: "b41", domain: "binary", bounds: [0.0, 1.0] }),
    "b42": a:variable({ name: "b42", domain: "binary", bounds: [0.0, 1.0] }),
    "b43": a:variable({ name: "b43", domain: "binary", bounds: [0.0, 1.0] }),
    "b44": a:variable({ name: "b44", domain: "binary", bounds: [0.0, 1.0] }),
    "b45": a:variable({ name: "b45", domain: "binary", bounds: [0.0, 1.0] }),
    "b46": a:variable({ name: "b46", domain: "binary", bounds: [0.0, 1.0] }),
    "b47": a:variable({ name: "b47", domain: "binary", bounds: [0.0, 1.0] }),
    "b48": a:variable({ name: "b48", domain: "binary", bounds: [0.0, 1.0] }),
    "b49": a:variable({ name: "b49", domain: "binary", bounds: [0.0, 1.0] }),
    "b50": a:variable({ name: "b50", domain: "binary", bounds: [0.0, 1.0] }),
    "b51": a:variable({ name: "b51", domain: "binary", bounds: [0.0, 1.0] }),
    "b52": a:variable({ name: "b52", domain: "binary", bounds: [0.0, 1.0] }),
    "b53": a:variable({ name: "b53", domain: "binary", bounds: [0.0, 1.0] }),
    "b54": a:variable({ name: "b54", domain: "binary", bounds: [0.0, 1.0] }),
    "b55": a:variable({ name: "b55", domain: "binary", bounds: [0.0, 1.0] }),
    "b56": a:variable({ name: "b56", domain: "binary", bounds: [0.0, 1.0] }),
    "b57": a:variable({ name: "b57", domain: "binary", bounds: [0.0, 1.0] }),
    "b58": a:variable({ name: "b58", domain: "binary", bounds: [0.0, 1.0] }),
    "b59": a:variable({ name: "b59", domain: "binary", bounds: [0.0, 1.0] }),
    "b60": a:variable({ name: "b60", domain: "binary", bounds: [0.0, 1.0] }),
    "b61": a:variable({ name: "b61", domain: "binary", bounds: [0.0, 1.0] }),
    "b62": a:variable({ name: "b62", domain: "binary", bounds: [0.0, 1.0] }),
    "b63": a:variable({ name: "b63", domain: "binary", bounds: [0.0, 1.0] }),
    "b64": a:variable({ name: "b64", domain: "binary", bounds: [0.0, 1.0] }),
    "b65": a:variable({ name: "b65", domain: "binary", bounds: [0.0, 1.0] }),
    "b66": a:variable({ name: "b66", domain: "binary", bounds: [0.0, 1.0] }),
    "b67": a:variable({ name: "b67", domain: "binary", bounds: [0.0, 1.0] }),
    "b68": a:variable({ name: "b68", domain: "binary", bounds: [0.0, 1.0] }),
    "x69": a:variable({ name: "x69", bounds: [0.0, 0.5323080366] }),
    "x70": a:variable({ name: "x70", bounds: [0.0, 0.918715169866666] }),
    "x71": a:variable({ name: "x71", bounds: [0.0, 1.021726146] }),
    "x72": a:variable({ name: "x72", bounds: [0.0, 1.0706790744] }),
    "x73": a:variable({ name: "x73", bounds: [0.0, 7.32543671346667] }),
    "x74": a:variable({ name: "x74", bounds: [0.0, 15.2453990736] }),
    "x75": a:variable({ name: "x75", bounds: [0.0, 1.28061192466667] }),
    "x76": a:variable({ name: "x76", bounds: [0.0, 15.8815166933333] }),
    "x77": a:variable({ name: "x77", bounds: [0.0, 15.2472806811333] }),
    "x78": a:variable({ name: "x78", bounds: [0.0, 12.029055125] }),
    "x79": a:variable({ name: "x79", bounds: [0.0, 15.9672360214667] }),
    "x80": a:variable({ name: "x80", bounds: [0.0, 15.3736631157333] }),
    "x81": a:variable({ name: "x81", bounds: [0.0, 6.2237284564] }),
    "x82": a:variable({ name: "x82", bounds: [0.0, 8.85892556] }),
    "x83": a:variable({ name: "x83", bounds: [0.0, 17.2437830768] }),
    "x84": a:variable({ name: "x84", bounds: [0.25788969, 0.35227087] }),
    "x85": a:variable({ name: "x85", bounds: [0.25788969, 0.35227087] }),
    "x86": a:variable({ name: "x86", bounds: [-0.98493628, -0.7794471] }),
    "x87": a:variable({ name: "x87", bounds: [-0.98493628, -0.7794471] }),
    "x88": a:variable({ name: "x88", bounds: [0.0, 0.0580296499999999] }),
    "x89": a:variable({ name: "x89", bounds: [0.0, 0.0580296499999999] }),
    "x90": a:variable({ name: "x90", bounds: [0.0, 0.0546689399999999] }),
    "x91": a:variable({ name: "x91", bounds: [0.0, 0.0546689399999999] }),
    "x92": a:variable({ name: "x92", bounds: [0.0, 0.09360565] }),
    "x93": a:variable({ name: "x93", bounds: [0.0, 0.09360565] }),
    "x94": a:variable({ name: "x94", bounds: [0.0, 0.0476880399999999] }),
    "x95": a:variable({ name: "x95", bounds: [0.0, 0.0476880399999999] }),
    "x96": a:variable({ name: "x96", bounds: [0.0, 0.05276021] }),
    "x97": a:variable({ name: "x97", bounds: [0.0, 0.05276021] }),
    "x98": a:variable({ name: "x98", bounds: [0.0, 0.04905388] }),
    "x99": a:variable({ name: "x99", bounds: [0.0, 0.04905388] }),
    "x100": a:variable({ name: "x100", bounds: [0.0, 0.07731692] }),
    "x101": a:variable({ name: "x101", bounds: [0.0, 0.07731692] }),
    "x102": a:variable({ name: "x102", bounds: [0.0, 0.08211741] }),
    "x103": a:variable({ name: "x103", bounds: [0.0, 0.08211741] }),
    "x104": a:variable({ name: "x104", bounds: [0.0, 0.09438118] }),
    "x105": a:variable({ name: "x105", bounds: [0.0, 0.09438118] }),
    "x106": a:variable({ name: "x106", bounds: [0.0, 0.08436757] }),
    "x107": a:variable({ name: "x107", bounds: [0.0, 0.08436757] }),
    "x108": a:variable({ name: "x108", bounds: [0.0, 0.06987597] }),
    "x109": a:variable({ name: "x109", bounds: [0.0, 0.06987597] }),
    "x110": a:variable({ name: "x110", bounds: [0.0, 0.04788831] }),
    "x111": a:variable({ name: "x111", bounds: [0.0, 0.04788831] }),
    "x112": a:variable({ name: "x112", bounds: [0.0, 0.0668875099999999] }),
    "x113": a:variable({ name: "x113", bounds: [0.0, 0.0668875099999999] }),
    "x114": a:variable({ name: "x114", bounds: [0.0, 0.07276512] }),
    "x115": a:variable({ name: "x115", bounds: [0.0, 0.07276512] }),
    "x116": a:variable({ name: "x116", bounds: [0.0, 0.09438118] }),
    "x117": a:variable({ name: "x117", bounds: [0.0, 0.09438118] }),
    "x118": a:variable({ name: "x118", bounds: [0.0, 0.20548918] }),
    "x119": a:variable({ name: "x119", bounds: [0.0, 0.20548918] }),
    "x120": a:variable({ name: "x120", bounds: [0.0, 0.1742468] }),
    "x121": a:variable({ name: "x121", bounds: [0.0, 0.1742468] }),
    "x122": a:variable({ name: "x122", bounds: [0.0, 0.1210427] }),
    "x123": a:variable({ name: "x123", bounds: [0.0, 0.1210427] }),
    "x124": a:variable({ name: "x124", bounds: [0.0, 0.1319561] }),
    "x125": a:variable({ name: "x125", bounds: [0.0, 0.1319561] }),
    "x126": a:variable({ name: "x126", bounds: [0.0, 0.12126822] }),
    "x127": a:variable({ name: "x127", bounds: [0.0, 0.12126822] }),
    "x128": a:variable({ name: "x128", bounds: [0.0, 0.10450574] }),
    "x129": a:variable({ name: "x129", bounds: [0.0, 0.10450574] }),
    "x130": a:variable({ name: "x130", bounds: [0.0, 0.11691138] }),
    "x131": a:variable({ name: "x131", bounds: [0.0, 0.11691138] }),
    "x132": a:variable({ name: "x132", bounds: [0.0, 0.17458814] }),
    "x133": a:variable({ name: "x133", bounds: [0.0, 0.17458814] }),
    "x134": a:variable({ name: "x134", bounds: [0.0, 0.17650501] }),
    "x135": a:variable({ name: "x135", bounds: [0.0, 0.17650501] }),
    "x136": a:variable({ name: "x136", bounds: [0.0, 0.20548918] }),
    "x137": a:variable({ name: "x137", bounds: [0.0, 0.20548918] }),
    "x138": a:variable({ name: "x138", bounds: [0.0, 0.18562706] }),
    "x139": a:variable({ name: "x139", bounds: [0.0, 0.18562706] }),
    "x140": a:variable({ name: "x140", bounds: [0.0, 0.14212895] }),
    "x141": a:variable({ name: "x141", bounds: [0.0, 0.14212895] }),
    "x142": a:variable({ name: "x142", bounds: [0.0, 0.17114392] }),
    "x143": a:variable({ name: "x143", bounds: [0.0, 0.17114392] }),
    "x144": a:variable({ name: "x144", bounds: [0.0, 0.1603645] }),
    "x145": a:variable({ name: "x145", bounds: [0.0, 0.1603645] }),
    "x146": a:variable({ name: "x146", bounds: [0.0, 0.18267189] }),
    "x147": a:variable({ name: "x147", bounds: [0.0, 0.18267189] }),
    "x148": a:variable({ name: "x148", bounds: [0.0, 0.5323080366] }),
    "x149": a:variable({ name: "x149", bounds: [0.0, 0.5323080366] }),
    "x150": a:variable({ name: "x150", bounds: [0.0, 0.918715169866666] }),
    "x151": a:variable({ name: "x151", bounds: [0.0, 0.918715169866666] }),
    "x152": a:variable({ name: "x152", bounds: [0.0, 1.021726146] }),
    "x153": a:variable({ name: "x153", bounds: [0.0, 1.021726146] }),
    "x154": a:variable({ name: "x154", bounds: [0.0, 1.0706790744] }),
    "x155": a:variable({ name: "x155", bounds: [0.0, 1.0706790744] }),
    "x156": a:variable({ name: "x156", bounds: [0.0, 7.32543671346667] }),
    "x157": a:variable({ name: "x157", bounds: [0.0, 7.32543671346667] }),
    "x158": a:variable({ name: "x158", bounds: [0.0, 15.2453990736] }),
    "x159": a:variable({ name: "x159", bounds: [0.0, 15.2453990736] }),
    "x160": a:variable({ name: "x160", bounds: [0.0, 1.28061192466667] }),
    "x161": a:variable({ name: "x161", bounds: [0.0, 1.28061192466667] }),
    "x162": a:variable({ name: "x162", bounds: [0.0, 15.8815166933333] }),
    "x163": a:variable({ name: "x163", bounds: [0.0, 15.8815166933333] }),
    "x164": a:variable({ name: "x164", bounds: [0.0, 15.2472806811333] }),
    "x165": a:variable({ name: "x165", bounds: [0.0, 15.2472806811333] }),
    "x166": a:variable({ name: "x166", bounds: [0.0, 12.029055125] }),
    "x167": a:variable({ name: "x167", bounds: [0.0, 12.029055125] }),
    "x168": a:variable({ name: "x168", bounds: [0.0, 15.9672360214667] }),
    "x169": a:variable({ name: "x169", bounds: [0.0, 15.9672360214667] }),
    "x170": a:variable({ name: "x170", bounds: [0.0, 15.3736631157333] }),
    "x171": a:variable({ name: "x171", bounds: [0.0, 15.3736631157333] }),
    "x172": a:variable({ name: "x172", bounds: [0.0, 6.2237284564] }),
    "x173": a:variable({ name: "x173", bounds: [0.0, 6.2237284564] }),
    "x174": a:variable({ name: "x174", bounds: [0.0, 8.85892556] }),
    "x175": a:variable({ name: "x175", bounds: [0.0, 8.85892556] }),
    "x176": a:variable({ name: "x176", bounds: [0.0, 17.2437830768] }),
    "x177": a:variable({ name: "x177", bounds: [0.0, 17.2437830768] }),
    "b178": a:variable({ name: "b178", domain: "binary", bounds: [0.0, 1.0] }),
    "b179": a:variable({ name: "b179", domain: "binary", bounds: [0.0, 1.0] }),
    "b180": a:variable({ name: "b180", domain: "binary", bounds: [0.0, 1.0] }),
    "b181": a:variable({ name: "b181", domain: "binary", bounds: [0.0, 1.0] }),
    "b182": a:variable({ name: "b182", domain: "binary", bounds: [0.0, 1.0] }),
    "b183": a:variable({ name: "b183", domain: "binary", bounds: [0.0, 1.0] }),
    "b184": a:variable({ name: "b184", domain: "binary", bounds: [0.0, 1.0] }),
    "b185": a:variable({ name: "b185", domain: "binary", bounds: [0.0, 1.0] }),
    "b186": a:variable({ name: "b186", domain: "binary", bounds: [0.0, 1.0] })
} return {
    "obj": a:minimize({
        model: ns:sfacloc2_2_95#1,
        input: $input,
        objective: function($output) { $output."obj" },
        options: { solver: "bonmin" }
    })
}
