jsoniq version "1.0";

import module namespace a = "http://dgms.io/modules/analytics";

import module namespace ns = "http://dgms.io/contrib/models/minlplib/waterno2_01";

let $input := {
    "b2": a:variable({ name: "b2", domain: "binary", bounds: [0.0, 1.0] }),
    "b3": a:variable({ name: "b3", domain: "binary", bounds: [0.0, 1.0] }),
    "b4": a:variable({ name: "b4", domain: "binary", bounds: [0.0, 1.0] }),
    "b5": a:variable({ name: "b5", domain: "binary", bounds: [0.0, 1.0] }),
    "b6": a:variable({ name: "b6", domain: "binary", bounds: [0.0, 1.0] }),
    "b7": a:variable({ name: "b7", domain: "binary", bounds: [0.0, 1.0] }),
    "b8": a:variable({ name: "b8", domain: "binary", bounds: [0.0, 1.0] }),
    "b9": a:variable({ name: "b9", domain: "binary", bounds: [0.0, 1.0] }),
    "b10": a:variable({ name: "b10", domain: "binary", bounds: [0.0, 1.0] }),
    "x11": a:variable({ name: "x11" }),
    "x12": a:variable({ name: "x12", bounds: [-1000.0, 1000.0] }),
    "x13": a:variable({ name: "x13" }),
    "x14": a:variable({ name: "x14" }),
    "x15": a:variable({ name: "x15" }),
    "x16": a:variable({ name: "x16", bounds: [-1000.0, 1000.0] }),
    "x17": a:variable({ name: "x17" }),
    "x18": a:variable({ name: "x18" }),
    "x19": a:variable({ name: "x19", bounds: [-1000.0, 1000.0] }),
    "x20": a:variable({ name: "x20" }),
    "x21": a:variable({ name: "x21" }),
    "x22": a:variable({ name: "x22" }),
    "x23": a:variable({ name: "x23", bounds: [-1000.0, 1000.0] }),
    "x24": a:variable({ name: "x24" }),
    "x25": a:variable({ name: "x25" }),
    "x26": a:variable({ name: "x26", bounds: [-1000.0, 1000.0] }),
    "x27": a:variable({ name: "x27" }),
    "x28": a:variable({ name: "x28" }),
    "x29": a:variable({ name: "x29" }),
    "x30": a:variable({ name: "x30", bounds: [-1000.0, 1000.0] }),
    "x31": a:variable({ name: "x31" }),
    "x32": a:variable({ name: "x32" }),
    "x33": a:variable({ name: "x33", bounds: [0.0, 5.0] }),
    "x34": a:variable({ name: "x34", bounds: [0.0, 5.0] }),
    "x35": a:variable({ name: "x35", bounds: [0.0, 2.4] }),
    "x36": a:variable({ name: "x36", bounds: [0.0, 5.0] }),
    "x37": a:variable({ name: "x37", bounds: [0.0, 2.4] }),
    "x38": a:variable({ name: "x38", bounds: [0.0, 5.0] }),
    "x39": a:variable({ name: "x39", bounds: [0.0, 5.0] }),
    "x40": a:variable({ name: "x40", bounds: [0.0, 1.16] }),
    "x41": a:variable({ name: "x41", bounds: [0.0, 5.0] }),
    "x42": a:variable({ name: "x42", bounds: [3.5, 3.5] }),
    "x43": a:variable({ name: "x43", bounds: [2.0, 5.0] }),
    "x44": a:variable({ name: "x44", bounds: [4.1, 4.1] }),
    "x45": a:variable({ name: "x45", bounds: [2.5, 5.0] }),
    "x46": a:variable({ name: "x46", bounds: [4.0, 4.0] }),
    "x47": a:variable({ name: "x47", bounds: [2.0, 6.0] }),
    "x48": a:variable({ name: "x48", bounds: [0.0, 0.8] }),
    "x49": a:variable({ name: "x49", bounds: [-1000.0, 1000.0] }),
    "x50": a:variable({ name: "x50", bounds: [0.0, 0.8] }),
    "x51": a:variable({ name: "x51" }),
    "x52": a:variable({ name: "x52", bounds: [0.0, 0.8] }),
    "x53": a:variable({ name: "x53" }),
    "x54": a:variable({ name: "x54", bounds: [0.0, 0.5] }),
    "x55": a:variable({ name: "x55" }),
    "x56": a:variable({ name: "x56", bounds: [0.0, 0.5] }),
    "x57": a:variable({ name: "x57", bounds: [-1000.0, 1000.0] }),
    "x58": a:variable({ name: "x58", bounds: [0.0, 0.7] }),
    "x59": a:variable({ name: "x59" }),
    "x60": a:variable({ name: "x60", bounds: [0.0, 0.7] }),
    "x61": a:variable({ name: "x61" }),
    "x62": a:variable({ name: "x62", bounds: [0.0, 0.58] }),
    "x63": a:variable({ name: "x63", bounds: [-1000.0, 1000.0] }),
    "x64": a:variable({ name: "x64", bounds: [0.0, 0.58] }),
    "x65": a:variable({ name: "x65" }),
    "x66": a:variable({ name: "x66", bounds: [62.0, 65.0] }),
    "x67": a:variable({ name: "x67", bounds: [92.5, 95.0] }),
    "x68": a:variable({ name: "x68", bounds: [105.0, 109.0] }),
    "x69": a:variable({ name: "x69", bounds: [0.0, 1000.0] }),
    "x70": a:variable({ name: "x70", bounds: [-125.0, 125.0] }),
    "x71": a:variable({ name: "x71", bounds: [0.0, 1000.0] }),
    "x72": a:variable({ name: "x72", bounds: [0.0, 1000.0] }),
    "x73": a:variable({ name: "x73", bounds: [-100.0, 100.0] }),
    "x74": a:variable({ name: "x74", bounds: [0.0, 1000.0] }),
    "x75": a:variable({ name: "x75", bounds: [-125.0, 125.0] }),
    "x76": a:variable({ name: "x76", bounds: [49.0, 49.0] }),
    "x77": a:variable({ name: "x77", bounds: [-49.0, 1000.0] }),
    "x78": a:variable({ name: "x78", bounds: [-65.0, 1000.0] }),
    "x79": a:variable({ name: "x79", bounds: [-95.0, 1000.0] }),
    "x80": a:variable({ name: "x80", bounds: [0.2, 0.8] }),
    "x81": a:variable({ name: "x81", bounds: [0.2, 0.8] }),
    "x82": a:variable({ name: "x82", bounds: [0.2, 0.8] }),
    "x83": a:variable({ name: "x83", bounds: [0.25, 0.5] }),
    "x84": a:variable({ name: "x84", bounds: [0.25, 0.5] }),
    "x85": a:variable({ name: "x85", bounds: [0.4, 0.7] }),
    "x86": a:variable({ name: "x86", bounds: [0.4, 0.7] }),
    "x87": a:variable({ name: "x87", bounds: [0.24, 0.58] }),
    "x88": a:variable({ name: "x88", bounds: [0.24, 0.58] }),
    "x89": a:variable({ name: "x89", bounds: [0.6, 1.0] }),
    "x90": a:variable({ name: "x90", bounds: [0.8, 1.0] }),
    "x91": a:variable({ name: "x91", bounds: [0.85, 1.0] }),
    "x92": a:variable({ name: "x92", bounds: [0.7, 1.0] }),
    "x93": a:variable({ name: "x93", bounds: [100.0, 1000.0] }),
    "x94": a:variable({ name: "x94", bounds: [0.0, 54.1717996137183] }),
    "x95": a:variable({ name: "x95" }),
    "x96": a:variable({ name: "x96" }),
    "x97": a:variable({ name: "x97" }),
    "x98": a:variable({ name: "x98" }),
    "x99": a:variable({ name: "x99", bounds: [0.0, 54.1717996137183] }),
    "x100": a:variable({ name: "x100" }),
    "x101": a:variable({ name: "x101" }),
    "x102": a:variable({ name: "x102" }),
    "x103": a:variable({ name: "x103" }),
    "x104": a:variable({ name: "x104", bounds: [0.0, 54.1717996137183] }),
    "x105": a:variable({ name: "x105" }),
    "x106": a:variable({ name: "x106" }),
    "x107": a:variable({ name: "x107" }),
    "x108": a:variable({ name: "x108" }),
    "x109": a:variable({ name: "x109", bounds: [0.0, 93.045051789432] }),
    "x110": a:variable({ name: "x110" }),
    "x111": a:variable({ name: "x111" }),
    "x112": a:variable({ name: "x112" }),
    "x113": a:variable({ name: "x113" }),
    "x114": a:variable({ name: "x114", bounds: [0.0, 93.045051789432] }),
    "x115": a:variable({ name: "x115" }),
    "x116": a:variable({ name: "x116" }),
    "x117": a:variable({ name: "x117" }),
    "x118": a:variable({ name: "x118" }),
    "x119": a:variable({ name: "x119", bounds: [0.0, 112.384987749469] }),
    "x120": a:variable({ name: "x120" }),
    "x121": a:variable({ name: "x121" }),
    "x122": a:variable({ name: "x122" }),
    "x123": a:variable({ name: "x123" }),
    "x124": a:variable({ name: "x124", bounds: [0.0, 112.384987749469] }),
    "x125": a:variable({ name: "x125" }),
    "x126": a:variable({ name: "x126" }),
    "x127": a:variable({ name: "x127" }),
    "x128": a:variable({ name: "x128" }),
    "x129": a:variable({ name: "x129", bounds: [0.0, 42.066542469172] }),
    "x130": a:variable({ name: "x130" }),
    "x131": a:variable({ name: "x131" }),
    "x132": a:variable({ name: "x132" }),
    "x133": a:variable({ name: "x133" }),
    "x134": a:variable({ name: "x134", bounds: [0.0, 42.066542469172] }),
    "x135": a:variable({ name: "x135" }),
    "x136": a:variable({ name: "x136" }),
    "x137": a:variable({ name: "x137" }),
    "x138": a:variable({ name: "x138" }),
    "x139": a:variable({ name: "x139", bounds: [0.0, 25.0] }),
    "x140": a:variable({ name: "x140", bounds: [0.0, 25.0] }),
    "x141": a:variable({ name: "x141", bounds: [0.0, 25.0] }),
    "x142": a:variable({ name: "x142", bounds: [0.0, 0.64] }),
    "x143": a:variable({ name: "x143", bounds: [0.0, 0.512] }),
    "x144": a:variable({ name: "x144", bounds: [0.0, 0.64] }),
    "x145": a:variable({ name: "x145", bounds: [0.0, 0.512] }),
    "x146": a:variable({ name: "x146", bounds: [0.0, 0.64] }),
    "x147": a:variable({ name: "x147", bounds: [0.0, 0.512] }),
    "x148": a:variable({ name: "x148", bounds: [0.0, 0.25] }),
    "x149": a:variable({ name: "x149", bounds: [0.0, 0.125] }),
    "x150": a:variable({ name: "x150", bounds: [0.0, 0.25] }),
    "x151": a:variable({ name: "x151", bounds: [0.0, 0.125] }),
    "x152": a:variable({ name: "x152", bounds: [0.0, 0.49] }),
    "x153": a:variable({ name: "x153", bounds: [0.0, 0.343] }),
    "x154": a:variable({ name: "x154", bounds: [0.0, 0.49] }),
    "x155": a:variable({ name: "x155", bounds: [0.0, 0.343] }),
    "x156": a:variable({ name: "x156", bounds: [0.0, 0.3364] }),
    "x157": a:variable({ name: "x157", bounds: [0.0, 0.195112] }),
    "x158": a:variable({ name: "x158", bounds: [0.0, 0.3364] }),
    "x159": a:variable({ name: "x159", bounds: [0.0, 0.195112] }),
    "x160": a:variable({ name: "x160", bounds: [0.36, 1.0] }),
    "x161": a:variable({ name: "x161", bounds: [0.216, 1.0] }),
    "x162": a:variable({ name: "x162", bounds: [0.64, 1.0] }),
    "x163": a:variable({ name: "x163", bounds: [0.512, 1.0] }),
    "x164": a:variable({ name: "x164", bounds: [0.7225, 1.0] }),
    "x165": a:variable({ name: "x165", bounds: [0.614125, 1.0] }),
    "x166": a:variable({ name: "x166", bounds: [0.49, 1.0] }),
    "x167": a:variable({ name: "x167", bounds: [0.343, 1.0] })
} return {
    "obj": a:minimize({
        model: ns:waterno2_01#1,
        input: $input,
        objective: function($output) { $output."obj" },
        options: { solver: "bonmin" }
    })
}
